
/control/manual /gun
Command directory path : /gun/


Guidance :
Particle Gun control commands.

 Sub-directories : 
 Commands : 
   List * List available particles.
   particle * Set particle to be generated.
   direction * Set momentum direction.
   energy * Set kinetic energy.
   position * Set starting position of the particle.
   time * Set initial time of the particle.
   polarization * Set polarization.
   number * Set number of particles to be generated.
   ion * Set properties of ion to be generated.


Command /gun/List
Guidance :
List available particles.
 Invoke G4ParticleTable.



Command /gun/particle
Guidance :
Set particle to be generated.
 (geantino is default)
 (ion can be specified for shooting ions)

Parameter : particleName
 Parameter type  : s
 Omittable       : True
 Default value   : geantino
 Candidates      : B+ B- B0 Bs0 D+ D- D0 Ds+ Ds- GenericIon He3 J/psi N(1440)+ N(1440)0 N(1520)+ N(1520)0 N(1535)+ N(1535)0 N(1650)+ N(1650)0 N(1675)+ N(1675)0 N(1680)+ N(1680)0 N(1700)+ N(1700)0 N(1710)+ N(1710)0 N(1720)+ N(1720)0 N(1900)+ N(1900)0 N(1990)+ N(1990)0 N(2090)+ N(2090)0 N(2190)+ N(2190)0 N(2220)+ N(2220)0 N(2250)+ N(2250)0 a0(1450)+ a0(1450)- a0(1450)0 a0(980)+ a0(980)- a0(980)0 a1(1260)+ a1(1260)- a1(1260)0 a2(1320)+ a2(1320)- a2(1320)0 alpha anti_B0 anti_Bs0 anti_D0 anti_N(1440)+ anti_N(1440)0 anti_N(1520)+ anti_N(1520)0 anti_N(1535)+ anti_N(1535)0 anti_N(1650)+ anti_N(1650)0 anti_N(1675)+ anti_N(1675)0 anti_N(1680)+ anti_N(1680)0 anti_N(1700)+ anti_N(1700)0 anti_N(1710)+ anti_N(1710)0 anti_N(1720)+ anti_N(1720)0 anti_N(1900)+ anti_N(1900)0 anti_N(1990)+ anti_N(1990)0 anti_N(2090)+ anti_N(2090)0 anti_N(2190)+ anti_N(2190)0 anti_N(2220)+ anti_N(2220)0 anti_N(2250)+ anti_N(2250)0 anti_b_quark anti_c_quark anti_d_quark anti_dd1_diquark anti_delta(1600)+ anti_delta(1600)++ anti_delta(1600)- anti_delta(1600)0 anti_delta(1620)+ anti_delta(1620)++ anti_delta(1620)- anti_delta(1620)0 anti_delta(1700)+ anti_delta(1700)++ anti_delta(1700)- anti_delta(1700)0 anti_delta(1900)+ anti_delta(1900)++ anti_delta(1900)- anti_delta(1900)0 anti_delta(1905)+ anti_delta(1905)++ anti_delta(1905)- anti_delta(1905)0 anti_delta(1910)+ anti_delta(1910)++ anti_delta(1910)- anti_delta(1910)0 anti_delta(1920)+ anti_delta(1920)++ anti_delta(1920)- anti_delta(1920)0 anti_delta(1930)+ anti_delta(1930)++ anti_delta(1930)- anti_delta(1930)0 anti_delta(1950)+ anti_delta(1950)++ anti_delta(1950)- anti_delta(1950)0 anti_delta+ anti_delta++ anti_delta- anti_delta0 anti_k(1460)0 anti_k0_star(1430)0 anti_k1(1270)0 anti_k1(1400)0 anti_k2(1770)0 anti_k2_star(1430)0 anti_k2_star(1980)0 anti_k3_star(1780)0 anti_k_star(1410)0 anti_k_star(1680)0 anti_k_star0 anti_kaon0 anti_lambda anti_lambda(1405) anti_lambda(1520) anti_lambda(1600) anti_lambda(1670) anti_lambda(1690) anti_lambda(1800) anti_lambda(1810) anti_lambda(1820) anti_lambda(1830) anti_lambda(1890) anti_lambda(2100) anti_lambda(2110) anti_lambda_c+ anti_neutron anti_nu_e anti_nu_mu anti_nu_tau anti_omega- anti_omega_c0 anti_proton anti_s_quark anti_sd0_diquark anti_sd1_diquark anti_sigma(1385)+ anti_sigma(1385)- anti_sigma(1385)0 anti_sigma(1660)+ anti_sigma(1660)- anti_sigma(1660)0 anti_sigma(1670)+ anti_sigma(1670)- anti_sigma(1670)0 anti_sigma(1750)+ anti_sigma(1750)- anti_sigma(1750)0 anti_sigma(1775)+ anti_sigma(1775)- anti_sigma(1775)0 anti_sigma(1915)+ anti_sigma(1915)- anti_sigma(1915)0 anti_sigma(1940)+ anti_sigma(1940)- anti_sigma(1940)0 anti_sigma(2030)+ anti_sigma(2030)- anti_sigma(2030)0 anti_sigma+ anti_sigma- anti_sigma0 anti_sigma_c+ anti_sigma_c++ anti_sigma_c0 anti_ss1_diquark anti_su0_diquark anti_su1_diquark anti_t_quark anti_u_quark anti_ud0_diquark anti_ud1_diquark anti_uu1_diquark anti_xi(1530)- anti_xi(1530)0 anti_xi(1690)- anti_xi(1690)0 anti_xi(1820)- anti_xi(1820)0 anti_xi(1950)- anti_xi(1950)0 anti_xi(2030)- anti_xi(2030)0 anti_xi- anti_xi0 anti_xi_c+ anti_xi_c0 b1(1235)+ b1(1235)- b1(1235)0 b_quark c_quark chargedgeantino d_quark dd1_diquark delta(1600)+ delta(1600)++ delta(1600)- delta(1600)0 delta(1620)+ delta(1620)++ delta(1620)- delta(1620)0 delta(1700)+ delta(1700)++ delta(1700)- delta(1700)0 delta(1900)+ delta(1900)++ delta(1900)- delta(1900)0 delta(1905)+ delta(1905)++ delta(1905)- delta(1905)0 delta(1910)+ delta(1910)++ delta(1910)- delta(1910)0 delta(1920)+ delta(1920)++ delta(1920)- delta(1920)0 delta(1930)+ delta(1930)++ delta(1930)- delta(1930)0 delta(1950)+ delta(1950)++ delta(1950)- delta(1950)0 delta+ delta++ delta- delta0 deuteron e+ e- eta eta(1295) eta(1440) eta2(1645) eta2(1870) eta_prime f0(1370) f0(400-1200) f0(980) f1(1285) f1(1420) f2(1270) f2(1810) f2(2010) f2_prime(1525) gamma geantino gluon h1(1170) h1(1380) k(1460)+ k(1460)- k(1460)0 k0_star(1430)+ k0_star(1430)- k0_star(1430)0 k1(1270)+ k1(1270)- k1(1270)0 k1(1400)+ k1(1400)- k1(1400)0 k2(1770)+ k2(1770)- k2(1770)0 k2_star(1430)+ k2_star(1430)- k2_star(1430)0 k2_star(1980)+ k2_star(1980)- k2_star(1980)0 k3_star(1780)+ k3_star(1780)- k3_star(1780)0 k_star(1410)+ k_star(1410)- k_star(1410)0 k_star(1680)+ k_star(1680)- k_star(1680)0 k_star+ k_star- k_star0 kaon+ kaon- kaon0 kaon0L kaon0S lambda lambda(1405) lambda(1520) lambda(1600) lambda(1670) lambda(1690) lambda(1800) lambda(1810) lambda(1820) lambda(1830) lambda(1890) lambda(2100) lambda(2110) lambda_c+ mu+ mu- neutron nu_e nu_mu nu_tau omega omega(1420) omega(1600) omega- omega3(1670) omega_c0 phi phi(1680) phi3(1850) pi(1300)+ pi(1300)- pi(1300)0 pi+ pi- pi0 pi2(1670)+ pi2(1670)- pi2(1670)0 proton rho(1450)+ rho(1450)- rho(1450)0 rho(1700)+ rho(1700)- rho(1700)0 rho+ rho- rho0 rho3(1690)+ rho3(1690)- rho3(1690)0 s_quark sd0_diquark sd1_diquark sigma(1385)+ sigma(1385)- sigma(1385)0 sigma(1660)+ sigma(1660)- sigma(1660)0 sigma(1670)+ sigma(1670)- sigma(1670)0 sigma(1750)+ sigma(1750)- sigma(1750)0 sigma(1775)+ sigma(1775)- sigma(1775)0 sigma(1915)+ sigma(1915)- sigma(1915)0 sigma(1940)+ sigma(1940)- sigma(1940)0 sigma(2030)+ sigma(2030)- sigma(2030)0 sigma+ sigma- sigma0 sigma_c+ sigma_c++ sigma_c0 ss1_diquark su0_diquark su1_diquark t_quark tau+ tau- triton u_quark ud0_diquark ud1_diquark uu1_diquark xi(1530)- xi(1530)0 xi(1690)- xi(1690)0 xi(1820)- xi(1820)0 xi(1950)- xi(1950)0 xi(2030)- xi(2030)0 xi- xi0 xi_c+ xi_c0 ion 



Command /gun/direction
Guidance :
Set momentum direction.
Direction needs not to be a unit vector.
 Range of parameters : Px != 0 || Py != 0 || Pz != 0

Parameter : Px
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Py
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Pz
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value



Command /gun/energy
Guidance :
Set kinetic energy.

Parameter : Energy
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : True
 Default value   : GeV
 Candidates      : eV keV MeV GeV TeV PeV J electronvolt kiloelectronvolt megaelectronvolt gigaelectronvolt teraelectronvolt petaelectronvolt joule



Command /gun/position
Guidance :
Set starting position of the particle.

Parameter : X
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Y
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Z
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : True
 Default value   : cm
 Candidates      : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi



Command /gun/time
Guidance :
Set initial time of the particle.

Parameter : t0
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Unit
 Parameter type  : s
 Omittable       : True
 Default value   : ns
 Candidates      : s ms mus ns ps second millisecond microsecond nanosecond picosecond



Command /gun/polarization
Guidance :
Set polarization.
 Range of parameters : Px>=-1.&&Px<=1.&&Py>=-1.&&Py<=1.&&Pz>=-1.&&Pz<=1.

Parameter : Px
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Py
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value

Parameter : Pz
 Parameter type  : d
 Omittable       : True
 Default value   : taken from the current value



Command /gun/number
Guidance :
Set number of particles to be generated.
 Range of parameters : N>0

Parameter : N
 Parameter type  : i
 Omittable       : True
 Default value   : taken from the current value



Command /gun/ion
Guidance :
Set properties of ion to be generated.
[usage] /gun/ion Z A Q
        Z:(int) AtomicNumber
        A:(int) AtomicMass
        Q:(int) Charge of Ion (in unit of e)
        E:(double) Excitation energy (in keV)

Parameter : Z
 Parameter type  : i
 Omittable       : False
 Default value   : 1

Parameter : A
 Parameter type  : i
 Omittable       : False
 Default value   : 1

Parameter : Q
 Parameter type  : i
 Omittable       : True
 Default value   : 0

Parameter : E
 Parameter type  : d
 Omittable       : True
 Default value   : 0.0

Graphics systems deleted.
Visualization Manager deleting...
